#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        Development tools for Plasma 5
Name:           plasma-sdk
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Patch0:         plasma-sdk-5.8.0-fix-desktop-files.patch
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

BuildRequires:  kf5-macros
BuildRequires:  karchive-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kparts-devel
BuildRequires:  kservice-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel

BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Kirigami)

BuildRequires:  cmake(KDevPlatform)

BuildRequires:  cmake(LibKWorkspace)

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires:  git-core

Requires:       kirigami
Requires:       git-core

%description
Plasma SDK contains the following tools for Plasma-related development:
    - CuttleFish - icon theme browser
    - EngineExplorer - tool to browse and interact with data engines
    - PlasmoidViewer - an isolated Plasma environment for testing applets
    - ThemeExplorer - shows all components of a widget theme

%files -f %{name}.lang
%_kf5_bindir/*
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/kpackage/genericqml/org.kde.plasma.themeexplorer
%_kf5_datadir/plasma/packages/org.kde.plasma.cuttlefish
%_kf5_datadir/plasma/shells/org.kde.plasma.plasmoidviewershell
%_qt5_plugindir/ktexteditor/cuttlefishplugin.so
%_kf5_services/plasma-package-org.kde.plasma.cuttlefish.desktop
%_kf5_services/plasma-shell-org.kde.plasma.plasmoidviewershell.desktop
%_kf5_appdatadir/org.kde.cuttlefish.appdata.xml
%_kf5_appdatadir/org.kde.plasma.themeexplorer.appdata.xml
%_kf5_sysconfdir/xdg/plasmate.knsrc
%_qt5_plugindir/kdevplatform/
%_qt5_plugindir/kdevsavesystemview.so
%_kf5_datadir/kdevsavesystemview/
%_kf5_services/kdevsavesystemview.desktop
%_kf5_datadir/plasmate/

%_kf5_appdatadir/org.kde.plasma.cuttlefish.appdata.xml
%_kf5_appdatadir/org.kde.plasma.lookandfeelexplorer.appdata.xml
%_kf5_appdatadir/org.kde.plasma.plasmoidviewershell.appdata.xml
%_kf5_datadir/kpackage/genericqml/org.kde.plasma.lookandfeelexplorer

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang %{name} --all



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089699
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089041
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078176
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070733
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065165
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064494
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063064
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 daviddavid <daviddavid> 5.8.1-2.mga6
+ Revision: 1060566
- add BR cmake(LibKWorkspace) to generate plasmoidviewershell appdata file
- add BR git-core

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060456
- New version 5.8.1

* Sat Oct 01 2016 daviddavid <daviddavid> 5.8.0-3.mga6
+ Revision: 1057996
- add missing requires on kirigami

* Fri Sep 30 2016 neoclust <neoclust> 5.8.0-2.mga6
+ Revision: 1057790
- Rebuild with fixed desktop files
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053404
- Add missing semi-colon in desktop file
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052700
- New version 5.7.5

* Wed Aug 31 2016 neoclust <neoclust> 5.7.4-2.mga6
+ Revision: 1049661
- Rebuild to make available on arm

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048855
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044285
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042573
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041410
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039564
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021887
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014555
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009292
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999276
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998031
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994557
- New version 5.6.0
- Rebuild against kf5 5.20.0
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927985
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922519
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914856
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910700
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908861
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904415
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900730
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 899753
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889532
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874744
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869661
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863603
- New version 5.3.95

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850772
- imported package plasma-sdk

